Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.java.simple
Class AbstractTagHandler

    java.lang.Object
      org.apache.struts2.views.java.simple.AbstractTagHandler

All Implemented Interfaces:
  TagHandler

Direct Known Subclasses:
  AbstractMessageListHandler, AnchorHandler, AnchorHandler.CloseHandler, CheckboxHandler, CheckboxListHandler, CommonAttributesHandler, DateTextFieldHandler, DivHandler, DivHandler.CloseHandler, DynamicAttributesHandler, EmptyHandler, FieldErrorHandler, FileHandler, FormHandler, FormHandler.CloseHandler, HeadHandler, HiddenHandler, LabelHandler, PasswordHandler, RadioHandler, ResetHandler, ScriptingEventsHandler, SelectHandler, SubmitHandler, SubmitHandler.CloseHandler, TextAreaHandler, TextFieldHandler, TokenHandler

    public abstract class AbstractTagHandler

extends Object
implements TagHandler

Field Summary
`protected boolean` | `altSyntax`
`protected TemplateRenderingContext` | `context`
`protected TagHandler` | `nextTagHandler`

Constructor Summary
`AbstractTagHandler()`

Method Summary
`void` | `characters(String text)` Writes to the inner text of a tag.
`void` | `characters(String text, boolean encode)` Writes to the inner text of a tag
`void` | `end(String name)` Writes a tag close
`protected String` | `findString(String expr)`
`protected Object` | `findValue(String expr)`
`protected void` | `processParams()`
`void` | `setNext(TagHandler next)`
`void` | `setup(TemplateRenderingContext context)`
`void` | `start(String name, Attributes a)` Write a tag openening, with its attributes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nextTagHandler

    protected TagHandler nextTagHandler

### context

    protected TemplateRenderingContext context

### altSyntax

    protected boolean altSyntax

Constructor Detail

### AbstractTagHandler

    public AbstractTagHandler()

Method Detail

### characters

    public void characters(String text)
                    throws IOException

  Description copied from interface: `TagHandler`
  Writes to the inner text of a tag. By default the body is html encoded

  Specified by:
    `characters` in interface `TagHandler`
  Parameters:
    `text` - tag body.
  Throws:
    `IOException`

### characters

    public void characters(String text,
                           boolean encode)
                    throws IOException

  Description copied from interface: `TagHandler`
  Writes to the inner text of a tag

  Specified by:
    `characters` in interface `TagHandler`
  Parameters:
    `text` - tag body
    `encode` - html encode the body
  Throws:
    `IOException`

### end

    public void end(String name)
             throws IOException

  Description copied from interface: `TagHandler`
  Writes a tag close

  Specified by:
    `end` in interface `TagHandler`
  Parameters:
    `name` - name of the tag
  Throws:
    `IOException`

### setNext

    public void setNext(TagHandler next)

  Specified by:
    `setNext` in interface `TagHandler`

### start

    public void start(String name,
                      Attributes a)
               throws IOException

  Description copied from interface: `TagHandler`
  Write a tag openening, with its attributes

  Specified by:
    `start` in interface `TagHandler`
  Parameters:
    `name` - name of the tag
    `a` - attributes of the tag
  Throws:
    `IOException`

### setup

    public void setup(TemplateRenderingContext context)

  Specified by:
    `setup` in interface `TagHandler`

### processParams

    protected void processParams()

### findString

    protected String findString(String expr)

### findValue

    protected Object findValue(String expr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.